Stereo.h File Reference
`#include <RDGeneral/export.h>`
`#include "StructChecker.h"`
`#include "Utilites.h"`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::StructureCheck

## Functions

static int | RDKit::StructureCheck::INVERT_PARITY (int p)
RDKIT_STRUCTCHECKER_EXPORT int | RDKit::StructureCheck::DubiousStereochemistry (RWMol &mol)
RDKIT_STRUCTCHECKER_EXPORT int | RDKit::StructureCheck::FixDubious3DMolecule (RWMol &mol)
RDKIT_STRUCTCHECKER_EXPORT void | RDKit::StructureCheck::RemoveDubiousStereochemistry (RWMol &mol)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::CheckStereo (const ROMol &mol)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::AtomClash (RWMol &mol, double clash_limit)
RDKIT_STRUCTCHECKER_EXPORT int | RDKit::StructureCheck::AtomParity (const ROMol &mol, unsigned iatom, const Neighbourhood &nbp)
RDKIT_STRUCTCHECKER_EXPORT int | RDKit::StructureCheck::CisTransPerception (const ROMol &mol, const std::vector< RDGeom::Point3D > &points, const std::vector< unsigned > &numbering, std::vector< unsigned > &bondColor)

## Variables

static const int | RDKit::StructureCheck::ODD = 1
static const int | RDKit::StructureCheck::EVEN = 2
static const int | RDKit::StructureCheck::UNMARKED = 3
static const int | RDKit::StructureCheck::ALLENE_PARITY = -2
static const int | RDKit::StructureCheck::ILLEGAL_REPRESENTATION = -1
static const int | RDKit::StructureCheck::UNDEFINED_PARITY = 0
static const int | RDKit::StructureCheck::ODD_PARITY = 1
static const int | RDKit::StructureCheck::EVEN_PARITY = 2
static const int | RDKit::StructureCheck::CIS = 1
static const int | RDKit::StructureCheck::TRANS = 2
static const int | RDKit::StructureCheck::EITHER_BOND_FOUND = 1
static const int | RDKit::StructureCheck::STEREO_BOND_AT_NON_STEREO_ATOM = 2
static const int | RDKit::StructureCheck::ZEROED_Z_COORDINATES = 4
static const int | RDKit::StructureCheck::CONVERTED_TO_2D = 8